Package org.gradle.api.publish.ivy

# Class InvalidIvyPublicationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.InvalidUserDataException
org.gradle.api.publish.ivy.InvalidIvyPublicationException

All Implemented Interfaces:
  `Serializable`

@Incubating public class InvalidIvyPublicationException extends InvalidUserDataException
Thrown when attempting to publish with an invalid `IvyPublication`.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidIvyPublicationException(String publicationName, String error)`
`InvalidIvyPublicationException(String publicationName, String error, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidIvyPublicationException

public InvalidIvyPublicationException(String publicationName, String error)

### InvalidIvyPublicationException

public InvalidIvyPublicationException(String publicationName, String error, Throwable cause)